Bug 1313847 - Artemis Messaging Subsystem is not detected for EAP7
Artemis Messaging Subsystem is not detected for EAP7
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
urgent Severity urgent
: DR01
: One-off release
Assigned To: Michael Burman
Hayk Hovsepyan
: Triaged
Depends On:
Blocks: 1314853
  Show dependency treegraph
 
Reported: 2016-03-02 07:42 EST by Hayk Hovsepyan
Modified: 2016-06-06 14:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 14:57:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2016-03-02 07:42:08 EST
Description of problem:
Messaging ActiveMQ (Artemis) subsystem of EAP7 server is not detected by JON agent.

Version-Release number of selected component (if applicable):
Version 3.3
Update-03
DR01 
jon-plugin-pack-eap-3.3.0.GA.zip

How reproducible:
always

Steps to Reproduce:
1. Setup JON server.
2. Install latest plugin pack on JON server .../3.3/Update-03/DR01/jon-plugin-pack-eap-3.3.0.GA.zip
3. Install EAP7 and configure JON agent on it on some machine.
4. From JON UI select EAP7 JON agent server and go to Subsystems.
5. In the list of subsystems Messaging ActiveMQ subsystem is missing.

Actual results:
Messaging ActiveMQ subsystem is not shown in Subsystems.

Expected results:
It should be detected and shown.

Additional info:
For EAP6 it works fine with the same steps.
Comment 1 Michael Burman 2016-03-02 08:30:13 EST
Fixed in the eap7dr02 branch:

commit 0ddd58c07f5a9633ded082690553f0f43e6eaa56
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Mar 2 11:05:40 2016 +0200

    Fix rest of the HornetQ -> ActiveMQ Artemis

commit 352ab5b3fa1c8266b7b5bb7c23f9360567869644
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Mar 2 09:14:29 2016 +0200

    Artemis support and renaming to EAP7 resources instead of Wildfly 10
Comment 2 Michael Burman 2016-03-03 10:51:28 EST
Previous commits are superseded in the master by:

commit b57684bf616bad1444735ceced9f764b99318d72
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Mar 3 17:21:56 2016 +0200

    [BZ 1314385] Initial implementation of wfly-10 plugin (copy of jboss-as-7 plugin)
Comment 3 Michael Burman 2016-03-08 08:47:58 EST
Additional commit:

commit d7eb5a259fbce002c42bcca230d45e0ffb764d5b
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Mar 8 15:47:30 2016 +0200

    [BZ 1313847] Fix connection factory resource configuration properties
Comment 6 Hayk Hovsepyan 2016-03-23 06:20:19 EDT
Verified on jon-plugin-pack-eap-3.3.0.GA-update-03-DR02.

Artemis is detected.

Note You need to log in before you can comment on or make changes to this bug.